//------------------------------------------------------------------------------
// rectangle.c - содержит процедуру ввода параметров
// для уже созданного прямоугольника
//------------------------------------------------------------------------------

#include "rectangle.h"

//------------------------------------------------------------------------------
// Ввод параметров прямоугольника из файла
void InRectangle(rectangle *r, FILE *ifst) {
    fscanf(ifst, "%d%d", &(r->x), &(r->y));
}

// Случайный ввод параметров прямоугольника
void InRndRectangle(rectangle *r) {
    r->x = Random();
    r->y = Random();
}

//------------------------------------------------------------------------------
// Вывод параметров прямоугольника в форматируемый поток
void OutRectangle(rectangle *r, FILE *ofst) {
    fprintf(ofst, "It is Rectangle: x = %d, y = %d. Perimeter = %g\n",
            r->x, r->y, PerimeterRectangle(r));
}

//------------------------------------------------------------------------------
// Вычисление периметра прямоугольника
double PerimeterRectangle(rectangle *r) {
    return 2.0 * (r->x + r->y);
}
