#ifndef __rectangle__
#define __rectangle__

//------------------------------------------------------------------------------
// rectangle.h - содержит описание прямоугольника  и его интерфейса
//------------------------------------------------------------------------------

#include <stdio.h>

# include "rnd.h"

// прямоугольник
typedef struct rectangle {
    int x, y; // ширина, высота
} rectangle;

// Ввод параметров прямоугольника из файла
void InRectangle(rectangle *r, FILE *ifst);

// Случайный ввод параметров прямоугольника
void InRndRectangle(rectangle *r);

// Вывод параметров прямоугольника в форматируемый поток
void OutRectangle(rectangle *r, FILE *ofst);

// Вычисление периметра прямоугольника
double PerimeterRectangle(rectangle *r);

#endif //__rectangle__
