//------------------------------------------------------------------------------
// triangle.cpp - содержит функции обработки треугольника
//------------------------------------------------------------------------------

#include "triangle.h"

//------------------------------------------------------------------------------
// Ввод параметров треугольника из потока
void InTriangle(triangle *t, FILE *ifst) {
    fscanf(ifst, "%d%d%d", &(t->a), &(t->b), &(t->c));
}

// Случайный ввод параметров треугольника
void InRndTriangle(triangle *t) {
    t->a = Random();
    t->b = Random();
    do {
        t->c = Random();
    } while((t->c >= (t->a + t->b))
          || (t->a >= (t->c + t->b))
          || (t->b >= (t->c + t->a)));
}

//------------------------------------------------------------------------------
// Вывод параметров треугольника в поток
void OutTriangle(triangle *t, FILE *ofst) {
    fprintf(ofst, "It is Triangle: a = %d, b = %d, c = %d. Perimeter = %g\n",
           t->a, t->b, t->c, PerimeterTriangle(t));
}

//------------------------------------------------------------------------------
// Вычисление периметра треугольника
double PerimeterTriangle(triangle *t) {
    return (double)(t->a + t->b + t->c);
}
