#ifndef __triangle__
#define __triangle__

//------------------------------------------------------------------------------
// triangle.h - содержит описание треугольника
//------------------------------------------------------------------------------

#include <stdio.h>

# include "rnd.h"

//------------------------------------------------------------------------------
// треугольник
typedef struct triangle {
    int a, b, c; // стороны
} triangle;

// Ввод параметров треугольника из файла
void InTriangle(triangle *t, FILE *ifst);

// Случайный ввод параметров треугольника
void InRndTriangle(triangle *е);

// Вывод параметров треугольника в форматируемый поток
void OutTriangle(triangle *t, FILE *ofst);

// Вычисление периметра треугольника
double PerimeterTriangle(triangle *t);

#endif //__triangle__
